wco.datamodel.wco.declaration_ds.dms._2

# CommunicationIdentificationIDType

###
Related Doc: package _2

#### class CommunicationIdentificationIDType extends IDType

Linear Supertypes
IDType, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommunicationIdentificationIDType
2. IDType
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CommunicationIdentificationIDType()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def getSchemeAgencyID(): String

    Definition Classes
      IDType

11. #### def getSchemeAgencyName(): String

    Definition Classes
      IDType

12. #### def getSchemeDataURI(): String

    Definition Classes
      IDType

13. #### def getSchemeID(): String

    Definition Classes
      IDType

14. #### def getSchemeName(): String

    Definition Classes
      IDType

15. #### def getSchemeURI(): String

    Definition Classes
      IDType

16. #### def getSchemeVersionID(): String

    Definition Classes
      IDType

17. #### def getValue(): String

    Definition Classes
      IDType

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def setSchemeAgencyID(value: String): Unit

    Definition Classes
      IDType

24. #### def setSchemeAgencyName(value: String): Unit

    Definition Classes
      IDType

25. #### def setSchemeDataURI(value: String): Unit

    Definition Classes
      IDType

26. #### def setSchemeID(value: String): Unit

    Definition Classes
      IDType

27. #### def setSchemeName(value: String): Unit

    Definition Classes
      IDType

28. #### def setSchemeURI(value: String): Unit

    Definition Classes
      IDType

29. #### def setSchemeVersionID(value: String): Unit

    Definition Classes
      IDType

30. #### def setValue(value: String): Unit

    Definition Classes
      IDType

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from IDType

### Inherited from AnyRef

### Inherited from Any

### Ungrouped